%global rosdistro fuerte
%global stackname std_msgs
%global gitrev de0dcf1
Name:           ros-%{rosdistro}-std-msgs
Version:        0.4.11
Release:        1.git%{gitrev}%{?dist}
Summary:        Standard messages for ROS

License:        BSD
URL:            http://www.ros.org/wiki/std_msgs
#wget --content-disposition https://github.com/ros/std_msgs/tarball/0.4.11
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}
Provides:       ros-std-msgs = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-gencpp-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel

%description
%{name} decouples code generation from ROS msg & srv files from the 
parsing of these files and from impementation details of the build 
system

%package devel
Summary: Development files for %{name}.
Provides: ros-%{stackname}-devel = %{version}-%{release}
Provides: ros-std-msgs-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake \
  -DCMAKE_INSTALL_PREFIX:PATH=/opt/ros/fuerte \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  ..
popd

%install
source /opt/ros/%{rosdistro}/setup.sh
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
#%doc
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/%{stackname}
/opt/ros/%{rosdistro}/share/common-lisp/ros/%{stackname}

%files devel
/opt/ros/%{rosdistro}/include/%{stackname}
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.4.11-1.gitde0dcf1
- Initial fuerte package
